<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 01</title>
</head>
<body>
    <div id="app">
        <p>
            <input type="text" placeholder="texto" v-model="text">
            <button v-on:click="guardar()">Guardar</button> {{data}}
        </p>

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>

        const app = new Vue({
            el:"#app",
            data: {
                data:[],
                text: ''

            },
            methods:{
                guardar(){
                    if(this.text != ''){
                        this.data.push(this.text)
                    }
                }
            }
        })
    </script>
</body>
</html>